classification
Title: Row.keys() in sqlite3 returns a list, not a tuple
Type: Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: amckinlay, docs@python, ghaering, python-dev, r.david.murray
Priority: normal Keywords: easy

Created on 2014-06-03 22:12 by amckinlay, last changed 2014-06-05 19:18 by r.david.murray. This issue is now closed.

Messages (3)
msg219724 - (view) Author: Andrew McKinlay (amckinlay) Date: 2014-06-03 22:12
The documentation here (https://docs.python.org/2/library/sqlite3.html#sqlite3.Row.keys) says that the method returns a tuple. It returns a list.
msg219836 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-06-05 19:17
New changeset f51ecdac91c8 by R David Murray in branch '2.7':
#21653: fix doc for return type of sqlite3.Row.keys().
http://hg.python.org/cpython/rev/f51ecdac91c8

New changeset 6c890b2739f4 by R David Murray in branch '3.4':
#21653: fix doc for return type of sqlite3.Row.keys().
http://hg.python.org/cpython/rev/6c890b2739f4

New changeset e65cd43d136b by R David Murray in branch 'default':
Merge: #21653: fix doc for return type of sqlite3.Row.keys().
http://hg.python.org/cpython/rev/e65cd43d136b
msg219837 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-06-05 19:18
Fixed.  Thanks for the report.
History
Date User Action Args
2014-06-05 19:18:47r.david.murraysetstatus: open -> closed

nosy: + r.david.murray
messages: + msg219837

resolution: fixed
stage: needs patch -> resolved
2014-06-05 19:17:19python-devsetnosy: + python-dev
messages: + msg219836
2014-06-04 05:41:43serhiy.storchakasetkeywords: + easy
stage: needs patch
2014-06-04 05:38:57serhiy.storchakasetnosy: + ghaering

versions: + Python 3.4, Python 3.5
2014-06-03 22:12:21amckinlaycreate